## ufoai 2.5

=== Makefile ===
CONFIG ?= Makefile.local
-include $(CONFIG)

ifneq ($(ADDITIONAL_PATH),)
PATH        := $(ADDITIONAL_PATH):$(PATH)
endif

HOST_OS     ?= $(shell uname | sed -e s/_.*// | tr '[:upper:]' '[:lower:]')
TARGET_OS   ?= $(HOST_OS)
TARGET_ARCH ?= $(shell uname -m | sed -e s/i.86/i386/)

ifneq ($(findstring $(HOST_OS),sunos darwin),)
  TARGET_ARCH ?= $(shell uname -p | sed -e s/i.86/i386/)
endif

MODE        ?= debug
PREFIX      ?= /usr/local
WINDRES     ?= windres
CC          ?= gcc
CXX         ?= g++
Q           ?= @
BUILDDIR    ?= $(MODE)-$(TARGET_OS)-$(TARGET_ARCH)
PROJECTSDIR ?= build/projects
PROJECTS    := $(sort $(patsubst $(PROJECTSDIR)/%.mk,%,$(wildcard $(PROJECTSDIR)/*.mk)))
SRCDIR      := src
TARGETS_TMP := $(sort $(patsubst build/modules/%.mk,%,$(wildcard build/modules/*.mk)))
TARGETS     := $(filter-out $(foreach TARGET,$(TARGETS_TMP),$(if $($(TARGET)_DISABLE),$(TARGET),)),$(TARGETS_TMP))
DISABLED    := $(filter-out $(TARGETS),$(TARGETS_TMP))

ifeq ($(DISABLE_DEPENDENCY_TRACKING),)
  DEP_FLAGS := -MP -MD -MT $$@
endif
CONFIGURE_PREFIX ?=

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 755 -s
INSTALL_SCRIPT  ?= $(INSTALL) -m 755
INSTALL_DIR     ?= $(INSTALL) -d
INSTALL_MAN     ?= $(INSTALL) -m 444
INSTALL_DATA    ?= $(INSTALL) -m 444

ifeq ($(USE_CCACHE),1)
CCACHE := ccache
else
CCACHE :=
endif

.PHONY: all
ifeq ($(TARGET_OS),android)
all: android
else
ifeq ($(TARGET_OS),html5)
ifeq ($(EMSCRIPTEN_CALLED),1)
all: $(TARGETS)
else
all: emscripten
endif
else
all: $(TARGETS)
endif
endif

include build/flags.mk
include build/platforms/$(TARGET_OS).mk
include build/modes/$(MODE).mk
include build/default.mk

CXXFLAGS := $(CFLAGS) $(CXXFLAGS)

ASSEMBLE_OBJECTS = $(patsubst %, $(BUILDDIR)/$(1)/%.o, $(filter %.c %.cpp %.rc, $($(1)_SRCS)))
FILTER_OUT = $(foreach v,$(2),$(if $(findstring $(1),$(v)),,$(v)))

define INCLUDE_PROJECT_RULE
include $(PROJECTSDIR)/$(1).mk
endef

define INCLUDE_RULE
include build/modules/$(1).mk
endef
$(foreach TARGET,$(TARGETS_TMP),$(eval $(call INCLUDE_RULE,$(TARGET))))

.PHONY: clean
clean: $(addprefix clean-,$(TARGETS)) clean-docs
	$(Q)rm -rf $(BUILDDIR)

.PHONY: distclean
distclean: clean
	$(Q)rm -f $(TARGET_OS)-config.h Makefile.local
	$(Q)rm -rf $(BUILDDIR)

.PHONY: install
install: install-pre $(addprefix install-,$(TARGETS))

.PHONY: strip
strip: $(addprefix strip-,$(TARGETS))

$(TARGET_OS)-config.h: configure
	@echo "restarting configure for $(TARGET_OS)"
	$(Q)$(CONFIGURE_PREFIX) ./configure $(CONFIGURE_OPTIONS)
	$(Q)$(MAKE)

define BUILD_RULE
ifndef $(1)_DISABLE
ifndef $(1)_IGNORE

-include $($(1)_OBJS:.o=.d)

# if the target filename differs:
ifneq ($(1),$($(1)_FILE))
.PHONY: $(1)
$(1): $(TARGET_OS)-config.h $($(1)_FILE)
endif

$($(1)_FILE): $(BUILDDIR)/$(1)/.dirs build/modules/$(1).mk $(foreach DEP,$($(1)_DEPS),$($(DEP)_FILE)) $($(1)_OBJS)
	@echo '===> LD [$$@]'
	$(Q)mkdir -p $(dir $($(1)_FILE))
	$(Q)$(CCACHE) $(CROSS)$($(1)_LINKER) $($(1)_OBJS) $($(1)_LDFLAGS) $(LDFLAGS) -o $($(1)_FILE)

$(BUILDDIR)/$(1)/%.c.o: $(SRCDIR)/%.c $(BUILDDIR)/$(1)/.dirs
	@echo '===> CC [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CC) $(CCFLAGS) $($(1)_CCFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.m.o: $(SRCDIR)/%.m $(BUILDDIR)/$(1)/.dirs
	@echo '===> CC [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CC) $(CCFLAGS) $($(1)_CCFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.mm.o: $(SRCDIR)/%.mm $(BUILDDIR)/$(1)/.dirs
	@echo '===> CC [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CC) $(CCFLAGS) $($(1)_CCFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.rc.o: $(SRCDIR)/%.rc $(BUILDDIR)/$(1)/.dirs
	@echo '===> WINDRES [$(1)] $$<'
	$(Q)$(CROSS)$(WINDRES) -v $(subst \,\\\,$(subst -DUFO_REVISION,-D UFO_REVISION,$(filter -DUFO_REVISION=%,$(CXXFLAGS)))) $(subst -DDEBUG, -D DEBUG,$(filter -DDEBUG,$(CXXFLAGS))) -D FULL_PATH_RC_FILE -i $$< -o $$@

$(BUILDDIR)/$(1)/%.cc.o: $(SRCDIR)/%.cc $(BUILDDIR)/$(1)/.dirs
	@echo '===> CXX [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CXX) $(CXXFLAGS) $($(1)_CXXFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.cpp.o: $(SRCDIR)/%.cpp $(BUILDDIR)/$(1)/.dirs
	@echo '===> CXX [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CXX) $(CXXFLAGS) $($(1)_CXXFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/.dirs: $(TARGET_OS)-config.h
	$(Q)mkdir -p $(foreach i,$($(1)_OBJS),$(dir $(i)))
	$(Q)touch $$@

.PHONY: clean-$(1)
clean-$(1):
	@echo 'Cleaning up $(1)'
	$(Q)rm -rf $(BUILDDIR)/$(1) $($(1)_FILE)

.PHONY: strip-$(1)
strip-$(1): $($(1)_FILE)
	@echo 'Stripping $$<'
	$(Q)strip $$<

install-$(1): $($(1)_FILE)
	@echo 'Install $$<'
	$(Q)$(INSTALL_DIR) $(DESTDIR)$(PKGDATADIR)/$(dir $($(1)_FILE))
	$(Q)$(INSTALL_PROGRAM) $$< $(DESTDIR)$(PKGDATADIR)/$$<

else
# if this target is ignored, just do nothing
$(1):
clean-$(1):
strip-$(1):
install-$(1):
endif
endif
endef
$(foreach TARGET,$(TARGETS),$(eval $(call BUILD_RULE,$(TARGET))))

$(foreach PROJECT,$(PROJECTS),$(eval $(call INCLUDE_PROJECT_RULE,$(PROJECT))))

.PHONY: run-configure
run-configure:
	$(Q)$(CONFIGURE_PREFIX) ./configure $(CONFIGURE_OPTIONS)

include build/data.mk
include build/install.mk
include build/lang.mk
include build/maps.mk
include build/models.mk
include build/various.mk

ifeq ($(TARGET_OS),android)
.PHONY: clean-android
clean-android:
	@echo "===> ANDROID [clean project]"
	$(Q)rm -rf android-project/assets
	$(Q)rm -rf android-project/bin
	$(Q)rm -f android-project/jni/SDL \
		android-project/jni/SDL_mixer \
		android-project/jni/SDL_ttf \
		android-project/jni/libpng \
		android-project/jni/jpeg \
		android-project/jni/ogg \
		android-project/jni/curl \
		android-project/jni/vorbis \
		android-project/jni/intl \
		android-project/jni/zlib \
		android-project/jni/theora
	$(Q)cd android-project && ant clean

.PHONY: android-update-project
android-update-project: clean-android
	@echo "===> ANDROID [update project]"
	$(Q)cd android-project && android update project -p . -t android-13

.PHONY: android-copy-assets
android-copy-assets: clean-android pk3
	@echo "===> CP [copy assets]"
	$(Q)mkdir -p android-project/assets/base
	$(Q)cp -l base/*.pk3 android-project/assets/base
	$(Q)for i in hdpi ldpi mdpi xhdpi; do mkdir -p android-project/res/drawable-$${i}; cp contrib/installer/ufoai.png android-project/res/drawable-$${i}/icon.png; done

.PHONY: android
android: android-update-project android-copy-assets
	$(Q)ln -sf ../../src/libs/SDL android-project/jni/SDL
	$(Q)ln -sf ../../src/libs/SDL_mixer android-project/jni/SDL_mixer
	$(Q)ln -sf ../../src/libs/SDL_ttf android-project/jni/SDL_ttf
	$(Q)ln -sf ../../src/libs/libpng-1.6.2 android-project/jni/libpng
	$(Q)ln -sf ../../src/libs/jpeg-9 android-project/jni/jpeg
	$(Q)ln -sf ../../src/libs/curl android-project/jni/curl
	$(Q)ln -sf ../../src/libs/libogg-1.3.1 android-project/jni/ogg
	$(Q)ln -sf ../../src/libs/vorbis android-project/jni/vorbis
	$(Q)ln -sf ../../src/libs/intl android-project/jni/intl
	$(Q)ln -sf ../../src/libs/theora android-project/jni/theora
	$(Q)ln -sf ../../src/libs/zlib-1.2.8 android-project/jni/zlib
	@echo "===> NDK [native build]"
	$(Q)cd android-project && ndk-build V=1 -j 5
	@echo "===> ANT [java build]"
	$(Q)cd android-project && ant debug
	$(Q)cd android-project && ant installd

android-uninstall:
	$(Q)cd android-project && ant uninstall org.ufoai
endif

ifeq ($(TARGET_OS),html5)
.PHONY: emscripten
emscripten:
	$(Q)$(EMSCRIPTEN_ROOT)/emmake $(MAKE) EMSCRIPTEN_CALLED=1
endif

=== src/po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2005 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.14.4

PACKAGE = ufoai
PACKAGE_BUGREPORT = "tlh2000@users.sourceforge.net"
DOMAIN = $(PACKAGE)
Q = @
# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = The UFO:AI team

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --sort-by-file --keyword=_ --keyword=N_

GMSGFMT = msgfmt
MSGFMT = msgfmt
XGETTEXT = xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = msgmerge --update
UFOPO := $(srcdir)/ufopo.pl
MSGCAT = msgcat

POFILES = $(wildcard ufoai-*.po)
GMOFILES = $(POFILES:.po=.gmo)
UPDATEPOFILES = $(POFILES:.po=.po-update)
DUMMYPOFILES = $(POFILES:.po=.nop)

POTFILES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .nop .po-create .po-update

.po.mo:
	$(Q)$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	$(Q)lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	@echo '===> POT [$(DOMAIN).pot]'
	$(Q)$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address="$(PACKAGE_BUGREPORT)" \
	  --output=$(DOMAIN).c.po
	$(Q)sed s/charset=CHARSET/charset=UTF-8/ $(DOMAIN).c.po > $(DOMAIN).c1.po
	$(Q)${UFOPO} --directory=$(top_srcdir) `cd $(top_srcdir) && sh $(subdir)/FINDUFOS` > $(DOMAIN).ufo.po
	$(Q)$(MSGCAT) --sort-by-file $(DOMAIN).c1.po $(DOMAIN).ufo.po -o $(DOMAIN).po ;\
	sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	  rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	else \
	  rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	  mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	fi

$(srcdir)/$(DOMAIN).pot: $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@echo '===> PO [$<]'
	$(Q)lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot

update-po: Makefile $(DOMAIN).pot-update $(UPDATEPOFILES)

# General rule for updating PO files.

.nop.po-update:
	@echo '===> PO [$(shell echo $@ | sed -e 's/\.po-update$$//')]'
	$(Q)lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
	tmpdir=`pwd`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	cd $(srcdir); \
	if $(MSGMERGE) $$lang.po $(DOMAIN).pot -q -o $$tmpdir/$$lang.new.po; then \
	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	    rm -f $$tmpdir/$$lang.new.po; \
	  else \
	    mv -f $$tmpdir/$$lang.new.po $$lang.po; \
	  fi; \
	else \
	  echo "msgmerge for $$lang.po failed!" 1>&2; \
	  rm -f $$tmpdir/$$lang.new.po; \
	fi

$(DUMMYPOFILES):

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/docs/tex/Makefile ===
all:
	pdflatex ufo-manual_EN.tex
	pdflatex ufo-manual_EN.tex

clean:
	-rm -f chapters/*.aux
	-rm -f *.aux *.log *.out *.toc *.pdf *.pdfsync

=== debian/changelog ===
ufoai (2.5-9) unstable; urgency=medium

  * Support DoubleBuild. Override dh_auto_build and
    properly clean up the source tree after successful builds.
    (Closes: #1047101)
  * Declare compliance with Debian Policy 4.7.2.
  * Use debian/watch version 4 standard.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Oct 2025 19:54:46 +0100

ufoai (2.5-8) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no
  * Replace obsolete pkg-config with pkgconf

  [ Debian Janitor ]
  * Apply multi-arch hints.
  * Remove constraints unnecessary since buster (oldstable)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Dec 2024 12:25:02 +0100

ufoai (2.5-7) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2.
  * Use https for homepage and source field.
  * Mark ufoai-common and ufoai-misc as Multi-Arch: foreign.
  * ufoai-server.service: Set WorkingDirectory to /usr/lib/ufoai-server.
    Thanks to Jarno van der Kolk for the report. (Closes: #1020309)
  * Use dh_missing --list-missing.

 -- Markus Koschany <apo@debian.org>  Wed, 01 Mar 2023 23:20:41 +0100

ufoai (2.5-6) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Drop the map editor uforadiant because it depends on deprecated GTK 2
    libraries which will be removed from Debian.
    (Closes: #885685, #967786, #947664)

 -- Markus Koschany <apo@debian.org>  Sat, 14 Nov 2020 20:31:35 +0100

ufoai (2.5-5) unstable; urgency=medium

  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.5.0.
  * Add bug-949301-mxml.patch and fix invalid use of incomplete type
    mxml_node_t. (Closes: #949301)

 -- Markus Koschany <apo@debian.org>  Sun, 23 Feb 2020 15:30:56 +0100

ufoai (2.5-4) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 14 Dec 2018 14:52:28 +0000

ufoai (2.5-3) unstable; urgency=medium

  * Add segfault-reactionfire-mode-bug-861979.patch and fix the segmentation
    fault on determining reactionfire mode when soldier has no weapon. Thanks
    to Robert Hackbauer for the report. (Closes: #861979)

 -- Markus Koschany <apo@debian.org>  Sun, 07 May 2017 18:50:58 +0200

ufoai (2.5-2) unstable; urgency=medium

  * Add pathfinding.odg to GFDL license block.
  * Add initialize-entityString.patch and fix the segmentation faults
    which occur with the map compiler ufo2map.
    Thanks to Bernhard Übelacker for the analysis. (Closes: #860680)

 -- Markus Koschany <apo@debian.org>  Tue, 25 Apr 2017 14:35:06 +0200

ufoai (2.5-1) unstable; urgency=medium

  * Initial release (Closes: #244582)

 -- Markus Koschany <apo@debian.org>  Sun, 22 Nov 2015 18:40:56 +0100

=== debian/control ===
Source: ufoai
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 gettext,
 libcunit1-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev,
 libglib2.0-dev,
 libjpeg-dev,
 libmxml-dev,
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 libsdl2-dev,
 libtheora-dev,
 libvorbis-dev,
 libxml2-dev,
 libxvidcore-dev,
 pkgconf,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 zip,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://ufoai.org
Vcs-Git: https://salsa.debian.org/games-team/ufoai.git
Vcs-Browser: https://salsa.debian.org/games-team/ufoai

Package: ufoai
Architecture: any
Depends:
 fonts-dejavu,
 ufoai-common (>= ${source:Version}),
 ufoai-data,
 ufoai-maps,
 ufoai-misc (>= ${source:Version}),
 ufoai-sound,
 ufoai-textures,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ufoai-music
Suggests:
 ufoai-server
Description: UFO: Alien Invasion -- build your team and stop the aliens
 UFO: Alien Invasion is a squad-based tactical strategy game in the tradition
 of the old X-COM PC games. It combines military realism with hard
 science-fiction and the weirdness of an alien invasion. The carefully
 constructed turn-based system gives you pin-point control of your squad while
 maintaining a sense of pace and danger.
 .
 UFO:AI has two main modes of play: Geoscape mode and Tactical mode.
 .
 In Geoscape mode you manage the activities and finances of PHALANX, a secret
 organisation charged with defending Earth from a brutal alien enemy. You
 control bases, installations, aircraft and squads of armed-response troops.
 You will research new technologies and use their results in battle against the
 aliens. You can build, buy and produce anything you like, as long as your
 technology level and your budget will allow it. Easy-to-use time buttons make
 it possible to control the passage of time.
 .
 In Tactical mode the game is about taking command of your team in various
 missions to combat the aliens wherever they might appear. Tactical mode uses a
 turn-based system, where your team and the aliens take turns to make moves.
 You can order your troops around, fire their weapons, throw grenades and use
 other equipment. All actions require Time Units to perform. Once a soldier is
 out of Time Units, he or she can't do anything more until the next turn. Your
 mission objectives will vary for each mission and there are many to perform as
 the aliens' terrifying plot unfolds. You'll have to watch your back, be quick
 on your feet and take the fight to them.
 .
 If you don't, humanity is doomed.

Package: ufoai-misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: UFO: Alien Invasion -- miscellaneous files and documentation
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains architecture-independent data for the game UFO: Alien
 Invasion like language files and documentation.

Package: ufoai-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: UFO: Alien Invasion -- scripts and configuration files
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains scripts and configuration files for UFO: Alien Invasion
 which are useful for client and server.

Package: ufoai-server
Architecture: any
Depends:
 adduser,
 ufoai-common (>= ${source:Version}),
 ufoai-maps,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 ufoai
Description: UFO: Alien Invasion -- dedicated server
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains the dedicated game server for UFO: Alien Invasion. It is
 only needed if you want to setup a permanent game server.

Package: ufoai-tools
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 bash-completion,
 ufoai
Description: UFO: Alien Invasion -- developer tools
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains developer tools for UFO: Alien Invasion.
 .
  * ufo2map
  * ufomodel
  * ufoslicer

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
PKD := $(abspath $(dir $(MAKEFILE_LIST)))
VER := $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d- -f1)
PKG := ufoai
PKG2 := ufoai-music
PKG3 := ufoai-data
PKG4 := ufoai-maps
UURL := git://git.code.sf.net/p/ufoai/code
COMMIT := 3e28f7cbf9f5e1cfd0fa7fdc852f833e498757c1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with bash-completion

override_dh_auto_clean:
	find . -name "test_game.bsp" -delete
	find . -name "test_routing.bsp" -delete
	find . -name "*.mo" -delete
	find . -name "*.pk3" -delete
	$(RM) config.log
	dh_auto_clean

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--datadir=/usr/share/games/ufoai \
		--enable-hardlinkedgame \
		--enable-testall \
		--enable-release

override_dh_auto_build:
	$(MAKE) Q=
	$(MAKE) manual
	cd $(CURDIR)/base \
	&& zip -r 0ufos.pk3 ufos \
	&& zip -r 0base.pk3 *.cfg mapcycle*.txt ai/*.lua

override_dh_compress:
	dh_compress -X.pdf

override_dh_missing:
	dh_missing --list-missing

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:
	@echo "# Cloning upstream git repository..."
	[ -d $(PKG)-upstream ] || git clone $(UURL) $(PKG)-upstream
	cd $(PKG)-upstream \
	&& git checkout -b debiansource $(COMMIT) \
	&& echo "# Setting times..." \
	&& for F in $$(git ls-tree -r --name-only HEAD); \
	do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done

get-orig-ufoai:
	cd $(PKG)-upstream \
	&& mkdir $(PKG)-$(VER) \
	&& echo "# Cleaning-up..." \
	&& cp -a -r -v --parents \
		contrib/scripts/bashcompletion/ \
		build/ \
		radiant/ \
		src/ \
		unittest/ \
		base/ufos/ \
		base/ai/ \
		base/*.cfg \
		base/*.txt \
		base/*.bat \
		base/media/languages.ttf \
		base/media/COPYING \
		config.h \
		configure \
		COPYING \
		LICENSES \
		Makefile \
		README \
		ufo.cbp $(PKG)-$(VER) \
	&& $(RM) -r -v $(PKG)-$(VER)/src/libs \
	&& cp -a -r -v --parents \
		src/libs/mumble/ \
		src/libs/picomodel/ $(PKG)-$(VER) \
	&& find $(PKG)-$(VER) -type f -name '.git*' -delete \
	&& mv -v $(PKG)-$(VER) ../
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-7v" tar -caf "$(PKG)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX

get-orig-ufoai-music:
	cd $(PKG)-upstream \
	&& mkdir $(PKG2)-$(VER) \
	&& echo "# Cleaning-up..." \
	&& cp -a -r -v --parents \
		base/music/ \
		base/sound \
		LICENSES \
		COPYING $(PKG2)-$(VER) \
	&& mv -v $(PKG2)-$(VER) ../
	@echo "# Packing..."
	find -L "$(PKG2)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-7v" tar -caf "$(PKG2)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX

get-orig-ufoai-data:
	cd $(PKG)-upstream \
	&& mkdir $(PKG3)-$(VER) \
	&& echo "# Cleaning-up..." \
	&& cp -a -r -v --parents \
		build/models.mk \
		base/materials/ \
		base/models/ \
		base/pics/ \
		base/shaders/ \
		Makefile \
		COPYING \
		LICENSES $(PKG3)-$(VER) \
	&& mv -v $(PKG3)-$(VER) ../
	@echo "# Packing..."
	find -L "$(PKG3)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-7v" tar -caf "$(PKG3)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX

get-orig-ufoai-maps:
	cd $(PKG)-upstream \
	&& mkdir $(PKG4)-$(VER) \
	&& echo "# Cleaning-up..." \
	&& cp -a -r -v --parents \
		build/maps.mk \
		base/maps/ \
		base/textures/ \
		Makefile \
		COPYING \
		LICENSES $(PKG4)-$(VER) \
	&& find $(PKG4)-$(VER) -type f -name '*.bsp' -delete \
	&& mv -v $(PKG4)-$(VER) ../
	@echo "# Packing..."
	find -L "$(PKG4)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-7v" tar -caf "$(PKG4)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX
